> ## Documentation Index
> Fetch the complete documentation index at: https://developers.partoo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Place Action Links

> Retrieve a list of available place action links. 




## OpenAPI

````yaml /assets/openapi/openapi-bundled.yaml get /place_action_links
openapi: 3.1.0
info:
  title: Partoo Rest API
  version: v2
  license:
    name: © Copyright Partoo
    url: https://www.partoo.co/en/gtu-api/
  x-logo:
    url: >-
      https://partoo-client-images.s3.amazonaws.com/logo-partoo-restapi-white.png
  description: >
    ## Introduction

    The Partoo Rest API allows you to automate all the actions that are possible
    to do in the Partoo Web Application.


    The Partoo Rest API can be used for many different purposes:
      - Create/update/delete your businesses & users if you are a client.
      - Create/subscribe/manage organizations, businesses & users if you are a reseller.
      - Retrieve data on businesses you have access to if you are a publisher.
      - ...
servers:
  - url: https://api.partoo.co/v2
    description: Production server
  - url: https://api.sandbox.partoo.co/v2
    description: Sandbox server (dev environment for clients & partners)
security:
  - ApiKeyAuth: []
paths:
  /place_action_links:
    get:
      tags:
        - Place Action Links
      summary: Get Place Action Links
      description: |
        Retrieve a list of available place action links. 
      operationId: getAvailablePlaceActionLinks
      parameters:
        - $ref: '#/components/parameters/query_place_action_link_lang'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetPlaceActionLinksResponse'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
components:
  parameters:
    query_place_action_link_lang:
      in: query
      name: lang
      required: false
      schema:
        $ref: '#/components/schemas/Lang'
      description: >-
        Preferred language for place action links. If no language is provided,
        the user's default language will be used. If the user's default language
        is unavailable, the country's primary language will be used.
  schemas:
    GetPlaceActionLinksResponse:
      type: object
      properties:
        place_action_links:
          $ref: '#/components/schemas/GetPlaceActionLinks.Array'
    Lang:
      description: Available language in the application
      type: string
      enum:
        - fr
        - en
        - es
        - it
        - pt-br
        - de
        - ar
        - nl
        - pl
        - cs
        - ca
        - sk
        - pt
        - lv
        - ro
        - bg
        - hu
      example: fr
    GetPlaceActionLinks.Array:
      description: List of available Place Action Links
      type: array
      items:
        type: object
        properties:
          gmb_id:
            type: string
            description: The Google My Business ID for the place action type.
          name:
            type: string
            description: The name for the place action type.
      example:
        - gmb_id: APPOINTMENT
          name: Appointment links
        - gmb_id: DINING_RESERVATION
          name: Reservations links
        - gmb_id: FOOD_DELIVERY
          name: Food delivery links
        - gmb_id: FOOD_ORDERING
          name: Food ordering links
        - gmb_id: FOOD_TAKEOUT
          name: Food takeout links
        - gmb_id: ONLINE_APPOINTMENT
          name: Online appointment links
        - gmb_id: SHOP_ONLINE
          name: Shop Online links
  responses:
    '401':
      description: You are not authenticated
      content:
        application/json:
          schema:
            description: Error that occurs when you are not authenticated
            type: object
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  authentication:
                    type: string
                    default: User not authenticated
    '403':
      description: |
        You are not allowed to perform this action
      content:
        application/json:
          schema:
            description: >
              Error that occurs when you are authenticated but you are trying to
              perform an action you are not allowed to perform
            type: object
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  authorization:
                    type: string
                    default: Operation not allowed
    '404':
      description: Resource does not exist
      content:
        application/json:
          schema:
            description: >-
              Error that occcurs when you are trying to reach a resource that
              does not exist
            type: object
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  json:
                    type: string
                    default: Resource not found
  securitySchemes:
    ApiKeyAuth:
      description: >
        The authentication system on Partoo API is using API Key that should be
        put in the header of the request (the name of the header is `x-APIKey`).
        An api_key is linked to a user. This user's role will give you different
        access level to the API features.
      type: apiKey
      in: header
      name: x-APIKey

````